import { Event, Node as Step, Store } from 'effector';
import { CancelledPayload, MutableReEffect } from './types';
interface InstanceNewEvents<Payload> {
    readonly cancelled: Event<CancelledPayload<Payload>> & {
        graphite: Step;
    };
    readonly cancel: Event<void> & {
        graphite: Step;
    };
    readonly feedback: boolean;
    readonly inFlight: Store<number> & {
        graphite: Step;
    };
    readonly pending: Store<boolean> & {
        graphite: Step;
    };
}
export declare const patchInstance: <Payload, Done, Fail>(instance: MutableReEffect<Payload, Done, Fail>, { cancelled, cancel, feedback, inFlight, pending }: InstanceNewEvents<Payload>) => void;
export {};
