import { Scope } from 'effector';
import { Strategy } from './strategy';
export declare type CancellablePromise<T> = Promise<T> & {
    cancel: (strategy?: Strategy | void) => void;
};
export declare const cancellable: <Done>(promise: PromiseLike<Done>, abort?: (() => void) | undefined, timeout?: number | undefined) => CancellablePromise<Done>;
export declare const defer: <Done>() => {
    rs: (value?: Done | PromiseLike<Done> | undefined) => void;
    rj: (reason?: any) => void;
    req: Promise<Done>;
};
export declare const createRunning: <Done>() => {
    $running: import("effector").Store<CancellablePromise<Done>[]>;
    push: (promise: CancellablePromise<Done>, scope?: Scope | undefined) => void;
    unpush: (promise: CancellablePromise<Done>, scope?: Scope | undefined) => void;
    cancelAll: (strategy: Strategy | undefined, scope?: Scope | undefined) => void;
    cancelAllEv: import("effector").Event<void | Strategy>;
};
