import { Node as Step, Scope, Store } from 'effector';
export declare const assign: {
    <T, U>(target: T, source: U): T & U;
    <T_1, U_1, V>(target: T_1, source1: U_1, source2: V): T_1 & U_1 & V;
    <T_2, U_2, V_1, W>(target: T_2, source1: U_2, source2: V_1, source3: W): T_2 & U_2 & V_1 & W;
    (target: object, ...sources: any[]): any;
};
export declare const own: ({ graphite: owner }: {
    graphite: Step;
}, links: {
    graphite: Step;
}[]) => void;
export declare const setMeta: (unit: {
    graphite: Step;
}, field: string, value: any) => void;
export declare const getForkPage: (val: any) => Scope | void;
export declare const read: <T = any>(scope?: Scope | undefined) => ($store: Store<T>) => T;
